function [I] = create_alarm(color)
switch color
    case 'green'
        RGB = [0 1 0];
    case 'yellow'
        RGB = [250 250 30]/255;
    case 'orange'
        RGB = [245 155 15]/255;
    case 'red'
        RGB = [1 0.1 0.1];
end
I = zeros(500,500,3);
r = 200;
for i = 1:size(I,1)
    for j = 1:size(I,2)
        if (i-size(I,1)/2)^2+(j-size(I,2)/2)^2 <= r^2
            I(i,j,:) = 1.5*RGB*exp(-((i-size(I,1)/2)^2+(j-size(I,2)/2)^2)/(1/2*r^2));
            
        elseif (i-size(I,1)/2)^2+(j-size(I,2)/2)^2 <= (1.15*r)^2 && (i-size(I,1)/2)^2+(j-size(I,2)/2)^2 > (r)^2
            I(i,j,:) = [220 220 220]/255;
        elseif (i-size(I,1)/2)^2+(j-size(I,2)/2)^2 <= (1.25*r)^2 && (i-size(I,1)/2)^2+(j-size(I,2)/2)^2 > (1.15*r)^2
            
        else
            I(i,j,:) = [240 240 240]/255;
        end
    end
end
end

